# Agent

- [Agent Flows](https://docs.workfx.ai/workfx-1.1.x-english/developer-docs/api-reference/agent/agent-flows.md): Manage conversational flows for agents. Use these APIs to create, update, retrieve, publish, list, and run draft flows. Ideal for designing, testing, and deploying multi-step agent behaviors.
- [Agent Operations](https://docs.workfx.ai/workfx-1.1.x-english/developer-docs/api-reference/agent/agent-operations.md): Manageand operate agents. These endpoints allow you to create, retrieve, update, delete, and interact with agents through chats and background tasks.
- [Agent Instructions](https://docs.workfx.ai/workfx-1.1.x-english/developer-docs/api-reference/agent/agent-instructions.md): Manage  Agent Instructions, which are agents configured directly via conversation prompts. These endpoints allow you to create, retrieve, publish, and execute draft Agent instructions.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.workfx.ai/workfx-1.1.x-english/developer-docs/api-reference/agent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
